## org.omg.CONV_FRAME
Class CodeSetComponentInfoHolder

    java.lang.Object
      |
      +--org.omg.CONV_FRAME.CodeSetComponentInfoHolder

All Implemented Interfaces:
  Streamable

public final class CodeSetComponentInfoHolder
extends java.lang.Object
implements Streamable

Holder class for : CodeSetComponentInfo

Author:
  OpenORB Compiler

Field Summary
`CodeSetComponentInfo` `value` Internal CodeSetComponentInfo value

Constructor Summary
`CodeSetComponentInfoHolder()` Default constructor
`CodeSetComponentInfoHolder(CodeSetComponentInfo initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read CodeSetComponentInfo from a marshalled stream
`TypeCode` `_type()` Return the CodeSetComponentInfo TypeCode
`void` `_write(OutputStream ostream)` Write CodeSetComponentInfo into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public CodeSetComponentInfo value

  Internal CodeSetComponentInfo value

Constructor Detail

### CodeSetComponentInfoHolder

    public CodeSetComponentInfoHolder()

  Default constructor

### CodeSetComponentInfoHolder

    public CodeSetComponentInfoHolder(CodeSetComponentInfo initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read CodeSetComponentInfo from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write CodeSetComponentInfo into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the CodeSetComponentInfo TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode